package com.xypower.mpmaster.sms;

import android.app.DownloadManager;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import com.dev.devapi.api.SysApi;

import org.json.JSONArray;


/**
 * 短信发送的监听广播
 * 从Android 4.4（API 19）开始，由于安全和隐私原因，不再允许应用程序静态注册监听短信发送状态的广播。
 *
 * @author jingjing
 */
public class SmsSendReceiver extends BroadcastReceiver {
    @Override
    public void onReceive(Context context, Intent intent) {
        String action = intent.getAction();
        if (SimUtil.SMS_SEND_ACTION.equals(action)) {
            String type = intent.getStringExtra(SimUtil.SMSTYPE);
            if (type.contains(SmsTypeEnum.REBOOT1.value())) {
                SysApi.reboot(context);
            } else if (type.contains(SmsTypeEnum.REBOOT2.value())) {
                SysApi.reboot(context);
            }
        }
    }


}